/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GPS_PRINT_H
#define GPS_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/GPSPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_GPS_GPSDEBUG_POSTER_STR ( buf_t buf, struct GPS_GPSDEBUG_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_GPS_MEPOS_POSTER_STR ( buf_t buf, struct GPS_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_GPS_INFO_POSTER_STR ( buf_t buf, struct GPS_INFO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_GPS_STR ( buf_t buf, struct GPS_STR *x, int nDim, int *dims);
void buf_add_struct_GPS_DEBUG ( buf_t buf, struct GPS_DEBUG *x, int nDim, int *dims);
void buf_add_struct_GPS_INIT ( buf_t buf, struct GPS_INIT *x, int nDim, int *dims);
void buf_add_struct_GPS_LOG ( buf_t buf, struct GPS_LOG *x, int nDim, int *dims);
void buf_add_struct_GPS_POS_QUALITY ( buf_t buf, struct GPS_POS_QUALITY *x, int nDim, int *dims);
void buf_add_struct_GPS_REF_POS ( buf_t buf, struct GPS_REF_POS *x, int nDim, int *dims);
void buf_add_struct_GPS_POM_TAGGING ( buf_t buf, struct GPS_POM_TAGGING *x, int nDim, int *dims);
void buf_add_struct_GPS_STRING ( buf_t buf, struct GPS_STRING *x, int nDim, int *dims);
void buf_add_enum_GPS_FLAG ( buf_t buf, enum GPS_FLAG *x, int nDim, int *dims);
void buf_add_enum_GPSNovatel_FLAG ( buf_t buf, enum GPSNovatel_FLAG *x, int nDim, int *dims);
void buf_add_enum_GPS_LOG_FORMAT ( buf_t buf, enum GPS_LOG_FORMAT *x, int nDim, int *dims);
void buf_add_struct_HEADINGb_LOG ( buf_t buf, struct HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM6HEADINGb_LOG ( buf_t buf, struct OEM6HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTXYZb_LOG ( buf_t buf, struct BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTXYZb_LOG ( buf_t buf, struct OEM4BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTVELb_LOG ( buf_t buf, struct BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTVELb_LOG ( buf_t buf, struct OEM4BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTUTMb_LOG ( buf_t buf, struct BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTUTMb_LOG ( buf_t buf, struct OEM4BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_struct_BESTPOSb_LOG ( buf_t buf, struct BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4BESTPOSb_LOG ( buf_t buf, struct OEM4BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_struct_OEM4_BINARY_HEADER ( buf_t buf, struct OEM4_BINARY_HEADER *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_OEM4_BINARY_HEADER ( buf_t buf, OEM4_BINARY_HEADER *x, int nDim, int *dims);
void buf_add_OEM4BESTPOSb_LOG ( buf_t buf, OEM4BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_BESTPOSb_LOG ( buf_t buf, BESTPOSb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTUTMb_LOG ( buf_t buf, OEM4BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_BESTUTMb_LOG ( buf_t buf, BESTUTMb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTVELb_LOG ( buf_t buf, OEM4BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_BESTVELb_LOG ( buf_t buf, BESTVELb_LOG *x, int nDim, int *dims);
void buf_add_OEM4BESTXYZb_LOG ( buf_t buf, OEM4BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_BESTXYZb_LOG ( buf_t buf, BESTXYZb_LOG *x, int nDim, int *dims);
void buf_add_OEM6HEADINGb_LOG ( buf_t buf, OEM6HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_HEADINGb_LOG ( buf_t buf, HEADINGb_LOG *x, int nDim, int *dims);
void buf_add_GPS_LOG_FORMAT ( buf_t buf, GPS_LOG_FORMAT *x, int nDim, int *dims);
void buf_add_GPSNovatel_FLAG ( buf_t buf, GPSNovatel_FLAG *x, int nDim, int *dims);
void buf_add_GPS_FLAG ( buf_t buf, GPS_FLAG *x, int nDim, int *dims);
void buf_add_GPS_STRING ( buf_t buf, GPS_STRING *x, int nDim, int *dims);
void buf_add_GPS_POM_TAGGING ( buf_t buf, GPS_POM_TAGGING *x, int nDim, int *dims);
void buf_add_GPS_REF_POS ( buf_t buf, GPS_REF_POS *x, int nDim, int *dims);
void buf_add_GPS_POS_QUALITY ( buf_t buf, GPS_POS_QUALITY *x, int nDim, int *dims);
void buf_add_GPS_LOG ( buf_t buf, GPS_LOG *x, int nDim, int *dims);
void buf_add_GPS_INIT ( buf_t buf, GPS_INIT *x, int nDim, int *dims);
void buf_add_GPS_DEBUG ( buf_t buf, GPS_DEBUG *x, int nDim, int *dims);
void buf_add_GPS_STR ( buf_t buf, GPS_STR *x, int nDim, int *dims);
void buf_add_GPS_INFO_POSTER_STR ( buf_t buf, GPS_INFO_POSTER_STR *x, int nDim, int *dims);
void buf_add_GPS_MEPOS_POSTER_STR ( buf_t buf, GPS_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_GPS_GPSDEBUG_POSTER_STR ( buf_t buf, GPS_GPSDEBUG_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* GPS_TCLSERV_CLIENT_ENCODE_H */

